Bug 1303618 - rlAssertNotEquals doesn't take empty argument
rlAssertNotEquals doesn't take empty argument
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2016-02-01 08:16 EST by Zbynek Moravec
Modified: 2017-02-16 03:48 EST (History)
5 users (show)

See Also:
Fixed In Version: beakerlib-1.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-02-16 03:48:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zbynek Moravec 2016-02-01 08:16:19 EST
Functions like 
rlAssertNotEquals, rlAssertEquals, ... expect 3 parameters.

But problem is, when I want to use them like
rlAssertNotEquals "Name is not empty" "$name" ''

I get 
:: [   FAIL   ] :: rlAssertNotEquals called without all needed parameters 

Problem is caused by condition in source bash of beakerlib
    if [ -z "$3" ] ; then

I think it should be valid use case to compare some value with empty string.
Comment 1 Dalibor Pospíšil 2016-02-01 08:43:39 EST
Thank's for report, you're right. As workaround you can use following:
rlAssertNotEquals "Name is not empty" '' "$name"
Comment 2 Dalibor Pospíšil 2016-02-01 08:56:29 EST
I have also fixed rlAssertEqual which suffer the same.

fixed by https://git.fedorahosted.org/cgit/beakerlib.git/commit/?h=devel&id=c412aa1a6077b2573155d54d4cc9aa851c0ece6e
Comment 3 Zbynek Moravec 2016-02-01 09:15:13 EST
Thanks for very quick fix!
Comment 4 Mike McCune 2016-03-28 18:26:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora End Of Life 2016-11-24 10:19:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:21:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.